---
title: "Send_messages"
slug: "send-messages"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/send-messages"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Send_messages
Post/api/v3/messages/whatsapp
Initiate outbound messages through WhatsApp. Use this method instead of the GET method for most applications.
Query parameterskeystringRequired
The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key).
Examplecontact_center_api_key
agentstring
The agent extension. If you intend to automatically archive this message after sending it, this field can be empty.
Example101
template_uuidstring (uuid)
Template ID
Example3fa85f64-5717-4562-b3fc-2c963f66afa6
fromstring
The phone number associated with the message template
Example18885658889
recipientsArray of object
The recipients of the message
object tostring Required
The message recipient's phone number
Example18885658889
account_idstring
The message recipient's account ID
ExampleAC001
template_dataobject bodyobject placeholders Array of string string
Responses200
Success
Expand Allobject status Array of object object
400
Bad Request
object errors Array of string (whatsapp_error_messages) string Valid values[
"Invalid agent extension",
"Provide at least one destination number",
"API rate limit exceeded",
"API message rate limit exceeded",
"The agent settings for the requested sending are incorrect",
"Invalid sender",
"Invalid message template UUID",
"Invalid 'template_uuid' for specified 'from' option",
"WhatsApp Outbound Messaging is disabled for your contact center",
"The API key specified is invalid"
]